# openPilotLog: experimental::ADatabaseError Class Reference

experimental::ADatabaseError Class Reference

Custom Database Error derived from QSqlError. Extends text() adding "Database Error: " before the text. More...

`#include <adatabase.h>`

Inheritance diagram for experimental::ADatabaseError:

## Public Member Functions

| ADatabaseError (QString msg)
QString | text () const

## Detailed Description

Custom Database Error derived from QSqlError. Extends text() adding "Database Error: " before the text.

The documentation for this class was generated from the following files:

- src/experimental/adatabase.h
- src/experimental/adatabase.cpp